Subject: Re: 1.57

From: Zheng Gengbing <[email-masked]>
Date: Mon, 10 Jun 1996 17:03:18 +0800 (EAT)

On Fri, 7 Jun 1996, Guansong Zhang wrote:

> I am sending back a new 1.57. It is based on PKU's 1.57, only minor change is
> made to let VPATH feature was supported by make other than from GNU.
> 
> The main purpose of this package is only for you to update.
> 
> (Now this pacakage can be made simultaneosely on the five plateform:
> 
> rs6000-ibm-aix3.2.5
> mips-sgi-irix5.3
> sparc-sun-sunos4.1.4
> alpha-dec-osf3.0   (cc is needed, since gcc is not installed well here.)
> sparc-sun-solaris2.4
> 
> I think we can add one more for HP, I don't know how to specify it using
> canonical system.
>

	It's hppa1.1-hp-hpux9.03 of our machine .

> I run out of diskspace, so I can not check if we can get same result on all of
> the different machines. But the results on aix and solaris are almost same.)
> 
> Pay attention, the special lib needed by hpfsc is created in the same place
> when the package is built on different machine, while when install it was cp to
> differen place if exec_prefix is different.
> 
> Ideally, this won't have any problem. But in practice, this file may be
> different on different machines for some bugs in our code. (It cost me a lot of
> time to find this.) So make sure this file is created on a relaible machine
> first if you want to use VPATH feature. (Now I use aix3.2.5)
>

	in fact , dep file is machine independent . I don't know what's the
problem .

> The following is my quesiton to pku concerned with makefile.
> 
> When configure make the prefix and exec_prefix different, config.h will be
> be installed to prefix/include, but this config.h will be overwrite on
> different machine, I don't know how to deal with this in unix. Just overwrite
> it, or install it to exec_prefix/include?
> 
> 

	THis is a problem . Maybe we can make different dir for different 
achetecture , such as config/hp9000 .

Zheng Gengbin